Examplary
  • Start for free
    Developer docs

    Create exam

    POSThttps://api.examplary.ai/exams

    Create a new test within your workspace. This is the first step to being able to generate questions.

    Request body

    namestring· min length: 1required

    The name of the test

    sourceMaterialIdsarray string[] | null· nullable

    The IDs of the source materials to use for generation tasks and grading

    contextstring· nullable

    Additional generation instructions or background info

    studentLevelstring· nullable

    The ID of a valid student level

    customStudentLevelobject· nullable

    Custom student level details

    subjectstring· nullable

    The subject of the exam

    languagestring· nullable

    The language of the exam

    taxonomyIdstring· nullable

    The ID of the taxonomy to use for the exam

    intendedDurationany· nullable

    The intended duration of the exam, e.g. "30 minutes"

    allowedGenerationQuestionTypesarray string[] | null· nullable

    The types of questions allowed for generation

    metadataobject· nullable

    Additional metadata that can be attached

    questionsarray object[] | null· nullable
    permissionsarray object[] | null· nullable

    Assign permissions to other actors on creation

    Responses

    400 — Validation Error

    successbooleanrequired

    Allowed values:false

    errorarray any[]required
    dataanyrequired

    429 — Rate limit exceeded

    Requirements

    Rate limit

    30 requests per minute per user.

    User roles

    This endpoint requires the teacher, admin, or owner role to be present.

    OAuth scopes

    This endpoint requires the exams:write scope to be present.